## org.omg.CORBA
Class WstringDefHelper

    java.lang.Object
      |
      +--org.omg.CORBA.WstringDefHelper

public class WstringDefHelper
extends java.lang.Object

Helper class for : WstringDef

Author:
  OpenORB Compiler

Constructor Summary
`WstringDefHelper()`

Method Summary
`static WstringDef` `extract(Any a)` Extract WstringDef from an any
`static java.lang.String` `id()` Return the WstringDef IDL ID
`static void` `insert(Any a, WstringDef t)` Insert WstringDef into an any
`static WstringDef` `narrow(Object obj)` Narrow CORBA::Object to WstringDef
`static WstringDef` `read(InputStream istream)` Read WstringDef from a marshalled stream
`static TypeCode` `type()` Return the WstringDef TypeCode
`static WstringDef` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to WstringDef
`static void` `write(OutputStream ostream, WstringDef value)` Write WstringDef into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WstringDefHelper

    public WstringDefHelper()

Method Detail

### insert

    public static void insert(Any a,
                              WstringDef t)

  Insert WstringDef into an any
  Parameters:
    `a` - an any
    `t` - WstringDef value

### extract

    public static WstringDef extract(Any a)

  Extract WstringDef from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted WstringDef value

### type

    public static TypeCode type()

  Return the WstringDef TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the WstringDef IDL ID
  Returns:
    an ID

### read

    public static WstringDef read(InputStream istream)

  Read WstringDef from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed WstringDef value

### write

    public static void write(OutputStream ostream,
                             WstringDef value)

  Write WstringDef into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - WstringDef value

### narrow

    public static WstringDef narrow(Object obj)

  Narrow CORBA::Object to WstringDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    WstringDef Object

### unchecked_narrow

    public static WstringDef unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to WstringDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    WstringDef Object